@charset "UTF-8";

.toVideo {
    width: 100%;
    background: rgba(0, 0, 0, 0.6);
    position: fixed;
    left: 0;
    top: 0;
    z-index: 99;
    height: 100%;
}

.toVideo .contentBox {
    width: 90%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    max-width: 1200px;
}

.toVideo .contentBox .close {
    border: 2px solid #fff;
    border-radius: 50%;
    width: 40px;
    height: 40px;
    position: absolute;
    bottom: 100%;
    left: 100%;
    cursor: pointer;
}

.toVideo .contentBox .close::after {
    content: "";
    position: absolute;
    width: 2px;
    height: 85%;
    left: 50%;
    top: 50%;
    background: #fff;
    transform: translate(-50%, -50%) rotate(45deg);
}

.toVideo .contentBox .close::before {
    content: "";
    position: absolute;
    width: 2px;
    height: 85%;
    left: 50%;
    top: 50%;
    background: #fff;
    transform: translate(-50%, -50%) rotate(-45deg);
}

.toVideo .contentBox video {
    width: 100%;
    height: auto;
}

/* 简单的图片弹窗样式 */
.image-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 999;
}

.popup-image {
    max-width: 90%;
    max-height: 90%;
    margin: auto;
    transition: transform 0.3s ease;
}

.close-btn {
    position: absolute;
    top: 10px;
    right: 10px;
    color: white;
    font-size: 24px;
    cursor: pointer;
    z-index: 1000;
}

@media (max-width: 768px) {
    .toVideo .contentBox {
        width: 86%;
    }

    .toVideo .contentBox .close {
        width: 20px;
        height: 20px;
        transform: translate(-6px, -1px);
    }
}